Network Developers Kit API 3.61.01.01

Data Structures | Macros | Typedefs | Functions
socketndk.h File Reference
`#include <sys/time.h>`
Include dependency graph for socketndk.h:

Go to the source code of this file.

## Data Structures
struct | NDK_fd_set
struct | linger
struct | sockaddr
struct | in_addr
struct | ip_mreq
struct | sockaddr_in
struct | in6_addr
struct | ipv6_mreq
struct | sockaddr_in6
struct | _fdpollitem
struct | _NetStartError

## Macros
#define | NDK_htons(a) ( (((a)>>8)&0xffU) + (((a)<<8)&0xff00U) )
#define | NDK_htonl(a)
#define | NDK_ntohl(a) NDK_htonl(a)
#define | NDK_ntohs(a) NDK_htons(a)
#define | NDK_FD_SETSIZE 16
#define | _SYS_SELECT_H 1
#define | NDK_FD_SET(n, p) {if((p)->count<NDK_FD_SETSIZE){(p)->fd[(p)->count++]=(n);}}
#define | NDK_FD_CLR(n, p) fdsetRemoveEntry( (p), (n) )
#define | NDK_FD_ISSET(n, p) fdsetTestEntry( (p), (n) )
#define | NDK_FD_COPY(f, t) mmCopy((t), (f), sizeof(NDK_fd_set))
#define | NDK_FD_ZERO(p) ((p)->count=0)
#define | AF_UNSPEC 0
#define | AF_TASK 1 /* Intertask Communication */
#define | AF_INET 2 /* Internet: UDP, TCP, etc. */
#define | AF_INET6 10 /* IPV6 */
#define | AF_RAWETH 12 /* Raw Ethernet Protocol */
#define | SOCK_STREAM 1 /* stream socket */
#define | SOCK_DGRAM 2 /* datagram socket */
#define | SOCK_RAW 3 /* raw-protocol interface */
#define | SOCK_STREAMNC 4 /* non-copy stream socket */
#define | SOCK_RAWETH 5 /* non-copy raw eth socket */
#define | IPPROTO_IP 0 /* IP Placeholder */
#define | IPPROTO_ICMP 1 /* ICMP */
#define | IPPROTO_IGMP 2 /* IGMP */
#define | IPPROTO_TCP 6 /* TCP */
#define | IPPROTO_UDP 17 /* UDP */
#define | IPPROTO_IPV6 41 /* IPV6 */
#define | IPPROTO_ICMPV6 58 /* ICMPV6 Header. */
#define | SO_DEBUG 0x0001 /* turn on debugging info recording */
#define | SO_ACCEPTCONN 0x0002 /* socket has had listen() */
#define | SO_REUSEADDR 0x0004 /* allow local address reuse */
#define | SO_KEEPALIVE 0x0008 /* keep connections alive */
#define | SO_DONTROUTE 0x0010
#define | SO_BROADCAST 0x0020
#define | SO_USELOOPBACK 0x0040 /* bypass hardware when possible */
#define | SO_LINGER 0x0080 /* linger on close if data present */
#define | SO_OOBINLINE 0x0100 /* leave received OOB data in line */
#define | SO_REUSEPORT 0x0200 /* allow local address & port reuse */
#define | SO_TIMESTAMP 0x0400 /* timestamp received dgram traffic */
#define | SO_SNDBUF 0x1001 /* send buffer size */
#define | SO_RCVBUF 0x1002 /* receive buffer size */
#define | SO_SNDLOWAT 0x1003 /* send low-water mark */
#define | SO_RCVLOWAT 0x1004 /* receive low-water mark */
#define | SO_SNDTIMEO 0x1005 /* send timeout */
#define | SO_RCVTIMEO 0x1006 /* receive timeout */
#define | SO_ERROR 0x1007 /* get error status and clear */
#define | SO_TYPE 0x1008 /* get socket type */
#define | SO_PRIVSTATE 0x1009 /* get/deny privileged state */
#define | SO_IFDEVICE 0x100a /* broadcast IO device */
#define | SO_BLOCKING 0x100b /* blocking is default */
#define | SO_TXTIMESTAMP 0x100c /* register a call-out function */
#define | SO_PRIORITY 0x100d /* Use this to set the priority of the socket. */
#define | SOL_SOCKET 0xFFFF /* Level used for above options */
#define | IP_OPTIONS 1 /* get/set IP Options (20 byte max) */
#define | IP_HDRINCL 2 /* IP Header included with data (raw only) */
#define | IP_TOS 3 /* IP tos & preced. */
#define | IP_TTL 4 /* IP ttl */
#define | IP_ADD_MEMBERSHIP 5 /* Join a Multicast group. */
#define | IP_DROP_MEMBERSHIP 6 /* Leave a Multicast group. */
#define | NDK_TCP_NODELAY 0x01 /* Don't delay send to combine packet data */
#define | NDK_TCP_MAXSEG 0x02 /* Adjust MSS (down only) */
#define | NDK_TCP_NOPUSH 0x04 /* Don't send just to finish a data block */
#define | NDK_TCP_NOOPT 0x08 /* Don't use TCP options */
#define | NDK_TCP_SACKPERMITTED 0x10 /* RFC 2018 - SACK is permitted */
#define | NDK_TCP_MAXRTT 0x20 /* Set maximum RTT value used in calculation */
#define | MSG_OOB 0x0001 /* Read OOB data (not supported) */
#define | MSG_PEEK 0x0002 /* Get Rx data but leave in queue */
#define | MSG_WAITALL 0x0004 /* Wait for data to fill buffers */
#define | MSG_DONTWAIT 0x0008 /* Don't wait for resources */
#define | MSG_DONTROUTE 0x0010 /* Won't route if not local to subnet */
#define | MSG_NOSIGNAL 0x0020 /* Unused (fix for NDK-115) */
#define | IPV6_UCAST_DEF_HOP_LIMIT 64
#define | IPV6_MCAST_DEF_HOP_LIMIT 1
#define | IPV6_UNICAST_HOPS 1
#define | IPV6_MULTICAST_IF 2
#define | IPV6_MULTICAST_HOPS 3
#define | IPV6_MULTICAST_LOOP 4
#define | IPV6_JOIN_GROUP 5
#define | IPV6_LEAVE_GROUP 6
#define | IPV6_V6ONLY 7
#define | s6_addr in6_u.u6_addr8
#define | s6_addr16 in6_u.u6_addr16
#define | s6_addr32 in6_u.u6_addr32
#define | SOMAXCONN 8
#define | SHUT_RD 0 /* Read side of connection */
#define | SHUT_WR 1 /* Write side of connection */
#define | SHUT_RDWR 2 /* Both sides of connection */
#define | INVALID_SOCKET (void *)(-1L) /* Used by socket() and accept() */
#define | SOCKET_ERROR -1 /* Used by the rest */
#define | FDSTATUS_TYPE 0 /* get socket type */
#define | FDSTATUS_TYPE_SOCKET 1
#define | FDSTATUS_TYPE_PIPE 2
#define | FDSTATUS_RECV 1 /* get socket rcv status */
#define | FDSTATUS_SEND 2 /* get socket snd status */
#define | POLLINFTIM -1
#define | POLLIN 0x01
#define | POLLOUT 0x02
#define | POLLPRI 0x04
#define | POLLNVAL 0x08
#define | CREATE_SKT_CTX_HOOK 0
#define | CLOSE_SKT_CTX_HOOK 1
#define | NETSTART_ERROR_HOOK 2
#define | NDK_NO_CTX -1

## Typedefs
typedef void * | SOCKET
typedef struct NDK_fd_set | NDK_fd_set
typedef struct _fdpollitem | FDPOLLITEM
typedef struct _NetStartError | NetStartError_Obj
typedef int(* | NDK_HookFxn) (uintptr_t)
typedef void(* | TimestampFxn) (unsigned char *pIpHdr)

## Functions
void | fdsetRemoveEntry (NDK_fd_set *pSet, void *hEntry)
uint32_t | fdsetTestEntry (NDK_fd_set *pSet, void *hEntry)
void | mmCopy (void *pDst, void *pSrc, uint32_t Size)
int | fdOpenSession (void *hTask)
void | fdCloseSession (void *hTask)
int | fdClose (void *fd)
int | fdShare (void *fd)
int | fdError ()
int | fdSelect (int width, NDK_fd_set *readfds, NDK_fd_set *writefds, NDK_fd_set *exceptfds, struct timeval *timeout)
void | fdSelectAbort (void *hTask)
int | fdStatus (SOCKET s, int request, int *results)
int | fdPoll (FDPOLLITEM items[], uint32_t itemcnt, int32_t timeout)
SOCKET | NDK_accept (SOCKET s, struct sockaddr *pName, int *plen)
int | NDK_bind (SOCKET s, struct sockaddr *pName, int len)
int | NDK_connect (SOCKET s, struct sockaddr *pName, int len)
int | NDK_getpeername (SOCKET s, struct sockaddr *pName, int *plen)
int | NDK_getsockname (SOCKET s, struct sockaddr *pName, int *plen)
int | NDK_getsockopt (SOCKET s, int level, int op, void *pbuf, int *pbufsize)
int | NDK_listen (SOCKET s, int maxcon)
int | NDK_recv (SOCKET s, void *pbuf, int size, int flags)
int | NDK_recvfrom (SOCKET s, void *pbuf, int size, int flags, struct sockaddr *pName, int *plen)
int | NDK_recvnc (SOCKET s, void **ppbuf, int flags, void **pHandle)
int | NDK_recvncfrom (SOCKET s, void **ppbuf, int flags, struct sockaddr *pName, int *plen, void **pHandle)
void | NDK_recvncfree (SOCKET Handle)
int | NDK_send (SOCKET s, void *pbuf, int size, int flags)
int | NDK_sendto (SOCKET s, void *pbuf, int size, int flags, struct sockaddr *pName, int len)
int | NDK_setsockopt (SOCKET s, int level, int op, void *pbuf, int bufsize)
int | NDK_shutdown (SOCKET s, int how)
SOCKET | NDK_socket (int domain, int type, int protocol)
int | NDK_getsendncbuff (SOCKET s, uint32_t bufSize, void **phBuf, void **phPkt)
int | NDK_sendnc (SOCKET s, void *pbuf, int size, void *hPkt, int flags)
void | NDK_sendncfree (SOCKET Handle)
int | NDK_getSockCtx (SOCKET s)
int | NDK_pipe (void **pfd1, void **pfd2)
void | NDK_registerHook (int type, NDK_HookFxn fxn)

## Macro Definition Documentation

## § NDK_htons

#define NDK_htons | ( |  | a | ) | ( (((a)>>8)&0xffU) + (((a)<<8)&0xff00U) )

## § NDK_htonl

#define NDK_htonl | ( |  | a | ) |

Value:
((((a) & 0xff000000) >> 24) | (((a) & 0x00ff0000) >> 8) | \
(((a) & 0x0000ff00) << 8) | (((a) & 0x000000ff) << 24) )

## § NDK_ntohl

#define NDK_ntohl | ( |  | a | ) | NDK_htonl(a)

## § NDK_ntohs

#define NDK_ntohs | ( |  | a | ) | NDK_htons(a)

## § NDK_FD_SETSIZE

#define NDK_FD_SETSIZE 16

## § _SYS_SELECT_H

#define _SYS_SELECT_H 1

## § NDK_FD_SET

#define NDK_FD_SET | ( |  | n,
|  |  | p
| ) |  | {if((p)->count<NDK_FD_SETSIZE){(p)->fd[(p)->count++]=(n);}}

## § NDK_FD_CLR

#define NDK_FD_CLR | ( |  | n,
|  |  | p
| ) |  | fdsetRemoveEntry( (p), (n) )

## § NDK_FD_ISSET

#define NDK_FD_ISSET | ( |  | n,
|  |  | p
| ) |  | fdsetTestEntry( (p), (n) )

## § NDK_FD_COPY

#define NDK_FD_COPY | ( |  | f,
|  |  | t
| ) |  | mmCopy((t), (f), sizeof(NDK_fd_set))

## § NDK_FD_ZERO

#define NDK_FD_ZERO | ( |  | p | ) | ((p)->count=0)

## § AF_UNSPEC

#define AF_UNSPEC 0

## § AF_TASK

#define AF_TASK 1 /* Intertask Communication */

## § AF_INET

#define AF_INET 2 /* Internet: UDP, TCP, etc. */

## § AF_INET6

#define AF_INET6 10 /* IPV6 */

## § AF_RAWETH

#define AF_RAWETH 12 /* Raw Ethernet Protocol */

## § SOCK_STREAM

#define SOCK_STREAM 1 /* stream socket */

## § SOCK_DGRAM

#define SOCK_DGRAM 2 /* datagram socket */

## § SOCK_RAW

#define SOCK_RAW 3 /* raw-protocol interface */

## § SOCK_STREAMNC

#define SOCK_STREAMNC 4 /* non-copy stream socket */

## § SOCK_RAWETH

#define SOCK_RAWETH 5 /* non-copy raw eth socket */

## § IPPROTO_IP

#define IPPROTO_IP 0 /* IP Placeholder */

## § IPPROTO_ICMP

#define IPPROTO_ICMP 1 /* ICMP */

## § IPPROTO_IGMP

#define IPPROTO_IGMP 2 /* IGMP */

## § IPPROTO_TCP

#define IPPROTO_TCP 6 /* TCP */

## § IPPROTO_UDP

#define IPPROTO_UDP 17 /* UDP */

## § IPPROTO_IPV6

#define IPPROTO_IPV6 41 /* IPV6 */

## § IPPROTO_ICMPV6

#define IPPROTO_ICMPV6 58 /* ICMPV6 Header. */

## § SO_DEBUG

#define SO_DEBUG 0x0001 /* turn on debugging info recording */

## § SO_ACCEPTCONN

#define SO_ACCEPTCONN 0x0002 /* socket has had listen() */

## § SO_REUSEADDR

#define SO_REUSEADDR 0x0004 /* allow local address reuse */

## § SO_KEEPALIVE

#define SO_KEEPALIVE 0x0008 /* keep connections alive */

## § SO_DONTROUTE

#define SO_DONTROUTE 0x0010

## § SO_BROADCAST

#define SO_BROADCAST 0x0020

## § SO_USELOOPBACK

#define SO_USELOOPBACK 0x0040 /* bypass hardware when possible */

## § SO_LINGER

#define SO_LINGER 0x0080 /* linger on close if data present */

## § SO_OOBINLINE

#define SO_OOBINLINE 0x0100 /* leave received OOB data in line */

## § SO_REUSEPORT

#define SO_REUSEPORT 0x0200 /* allow local address & port reuse */

## § SO_TIMESTAMP

#define SO_TIMESTAMP 0x0400 /* timestamp received dgram traffic */

## § SO_SNDBUF

#define SO_SNDBUF 0x1001 /* send buffer size */

## § SO_RCVBUF

#define SO_RCVBUF 0x1002 /* receive buffer size */

## § SO_SNDLOWAT

#define SO_SNDLOWAT 0x1003 /* send low-water mark */

## § SO_RCVLOWAT

#define SO_RCVLOWAT 0x1004 /* receive low-water mark */

## § SO_SNDTIMEO

#define SO_SNDTIMEO 0x1005 /* send timeout */

## § SO_RCVTIMEO

#define SO_RCVTIMEO 0x1006 /* receive timeout */

## § SO_ERROR

#define SO_ERROR 0x1007 /* get error status and clear */

## § SO_TYPE

#define SO_TYPE 0x1008 /* get socket type */

## § SO_PRIVSTATE

#define SO_PRIVSTATE 0x1009 /* get/deny privileged state */

## § SO_IFDEVICE

#define SO_IFDEVICE 0x100a /* broadcast IO device */

## § SO_BLOCKING

#define SO_BLOCKING 0x100b /* blocking is default */

## § SO_TXTIMESTAMP

#define SO_TXTIMESTAMP 0x100c /* register a call-out function */

## § SO_PRIORITY

#define SO_PRIORITY 0x100d /* Use this to set the priority of the socket. */

## § SOL_SOCKET

#define SOL_SOCKET 0xFFFF /* Level used for above options */

## § IP_OPTIONS

#define IP_OPTIONS 1 /* get/set IP Options (20 byte max) */

## § IP_HDRINCL

#define IP_HDRINCL 2 /* IP Header included with data (raw only) */

## § IP_TOS

#define IP_TOS 3 /* IP tos & preced. */

## § IP_TTL

#define IP_TTL 4 /* IP ttl */

## § IP_ADD_MEMBERSHIP

#define IP_ADD_MEMBERSHIP 5 /* Join a Multicast group. */

## § IP_DROP_MEMBERSHIP

#define IP_DROP_MEMBERSHIP 6 /* Leave a Multicast group. */

## § NDK_TCP_NODELAY

#define NDK_TCP_NODELAY 0x01 /* Don't delay send to combine packet data */

## § NDK_TCP_MAXSEG

#define NDK_TCP_MAXSEG 0x02 /* Adjust MSS (down only) */

## § NDK_TCP_NOPUSH

#define NDK_TCP_NOPUSH 0x04 /* Don't send just to finish a data block */

## § NDK_TCP_NOOPT

#define NDK_TCP_NOOPT 0x08 /* Don't use TCP options */

## § NDK_TCP_SACKPERMITTED

#define NDK_TCP_SACKPERMITTED 0x10 /* RFC 2018 - SACK is permitted */

## § NDK_TCP_MAXRTT

#define NDK_TCP_MAXRTT 0x20 /* Set maximum RTT value used in calculation */

## § MSG_OOB

#define MSG_OOB 0x0001 /* Read OOB data (not supported) */

## § MSG_PEEK

#define MSG_PEEK 0x0002 /* Get Rx data but leave in queue */

## § MSG_WAITALL

#define MSG_WAITALL 0x0004 /* Wait for data to fill buffers */

## § MSG_DONTWAIT

#define MSG_DONTWAIT 0x0008 /* Don't wait for resources */

## § MSG_DONTROUTE

#define MSG_DONTROUTE 0x0010 /* Won't route if not local to subnet */

## § MSG_NOSIGNAL

#define MSG_NOSIGNAL 0x0020 /* Unused (fix for NDK-115) */

## § IPV6_UCAST_DEF_HOP_LIMIT

#define IPV6_UCAST_DEF_HOP_LIMIT 64

## § IPV6_MCAST_DEF_HOP_LIMIT

#define IPV6_MCAST_DEF_HOP_LIMIT 1

## § IPV6_UNICAST_HOPS

#define IPV6_UNICAST_HOPS 1

## § IPV6_MULTICAST_IF

#define IPV6_MULTICAST_IF 2

## § IPV6_MULTICAST_HOPS

#define IPV6_MULTICAST_HOPS 3

## § IPV6_MULTICAST_LOOP

#define IPV6_MULTICAST_LOOP 4

## § IPV6_JOIN_GROUP

#define IPV6_JOIN_GROUP 5

## § IPV6_LEAVE_GROUP

#define IPV6_LEAVE_GROUP 6

## § IPV6_V6ONLY

#define IPV6_V6ONLY 7

## § s6_addr

#define s6_addr in6_u.u6_addr8

## § s6_addr16

#define s6_addr16 in6_u.u6_addr16

## § s6_addr32

#define s6_addr32 in6_u.u6_addr32

## § SOMAXCONN

#define SOMAXCONN 8

## § SHUT_RD

#define SHUT_RD 0 /* Read side of connection */

## § SHUT_WR

#define SHUT_WR 1 /* Write side of connection */

## § SHUT_RDWR

#define SHUT_RDWR 2 /* Both sides of connection */

## § INVALID_SOCKET

#define INVALID_SOCKET (void *)(-1L) /* Used by socket() and accept() */

## § SOCKET_ERROR

#define SOCKET_ERROR -1 /* Used by the rest */

## § FDSTATUS_TYPE

#define FDSTATUS_TYPE 0 /* get socket type */

## § FDSTATUS_TYPE_SOCKET

#define FDSTATUS_TYPE_SOCKET 1

## § FDSTATUS_TYPE_PIPE

#define FDSTATUS_TYPE_PIPE 2

## § FDSTATUS_RECV

#define FDSTATUS_RECV 1 /* get socket rcv status */

## § FDSTATUS_SEND

#define FDSTATUS_SEND 2 /* get socket snd status */

## § POLLINFTIM

#define POLLINFTIM -1

## § POLLIN

#define POLLIN 0x01

## § POLLOUT

#define POLLOUT 0x02

## § POLLPRI

#define POLLPRI 0x04

## § POLLNVAL

#define POLLNVAL 0x08

## § CREATE_SKT_CTX_HOOK

#define CREATE_SKT_CTX_HOOK 0

## § CLOSE_SKT_CTX_HOOK

#define CLOSE_SKT_CTX_HOOK 1

## § NETSTART_ERROR_HOOK

#define NETSTART_ERROR_HOOK 2

## § NDK_NO_CTX

#define NDK_NO_CTX -1

## Typedef Documentation

## § SOCKET

typedef void* SOCKET

## § NDK_fd_set

typedef struct NDK_fd_set NDK_fd_set

## § FDPOLLITEM

typedef struct _fdpollitem FDPOLLITEM

## § NetStartError_Obj

typedef struct _NetStartError NetStartError_Obj

## § NDK_HookFxn

typedef int(* NDK_HookFxn) (uintptr_t)

## § TimestampFxn

typedef void(* TimestampFxn) (unsigned char *pIpHdr)

## Function Documentation

## § fdsetRemoveEntry()

void fdsetRemoveEntry | ( | NDK_fd_set * | pSet,
|  | void * | hEntry
| ) |  |

## § fdsetTestEntry()

uint32_t fdsetTestEntry | ( | NDK_fd_set * | pSet,
|  | void * | hEntry
| ) |  |

## § mmCopy()

void mmCopy | ( | void * | pDst,
|  | void * | pSrc,
|  | uint32_t | Size
| ) |  |

## § fdOpenSession()

int fdOpenSession | ( | void * | hTask | ) |

## § fdCloseSession()

void fdCloseSession | ( | void * | hTask | ) |

## § fdClose()

int fdClose | ( | void * | fd | ) |

## § fdShare()

int fdShare | ( | void * | fd | ) |

## § fdError()

int fdError | ( |  | ) |

## § fdSelect()

int fdSelect | ( | int | width,
|  | NDK_fd_set * | readfds,
|  | NDK_fd_set * | writefds,
|  | NDK_fd_set * | exceptfds,
|  | struct timeval * | timeout
| ) |  |

## § fdSelectAbort()

void fdSelectAbort | ( | void * | hTask | ) |

## § fdStatus()

int fdStatus | ( | SOCKET | s,
|  | int | request,
|  | int * | results
| ) |  |

## § fdPoll()

int fdPoll | ( | FDPOLLITEM | items[],
|  | uint32_t | itemcnt,
|  | int32_t | timeout
| ) |  |

## § NDK_accept()

SOCKET NDK_accept | ( | SOCKET | s,
|  | struct sockaddr * | pName,
|  | int * | plen
| ) |  |

## § NDK_bind()

int NDK_bind | ( | SOCKET | s,
|  | struct sockaddr * | pName,
|  | int | len
| ) |  |

## § NDK_connect()

int NDK_connect | ( | SOCKET | s,
|  | struct sockaddr * | pName,
|  | int | len
| ) |  |

## § NDK_getpeername()

int NDK_getpeername | ( | SOCKET | s,
|  | struct sockaddr * | pName,
|  | int * | plen
| ) |  |

## § NDK_getsockname()

int NDK_getsockname | ( | SOCKET | s,
|  | struct sockaddr * | pName,
|  | int * | plen
| ) |  |

## § NDK_getsockopt()

int NDK_getsockopt | ( | SOCKET | s,
|  | int | level,
|  | int | op,
|  | void * | pbuf,
|  | int * | pbufsize
| ) |  |

## § NDK_listen()

int NDK_listen | ( | SOCKET | s,
|  | int | maxcon
| ) |  |

## § NDK_recv()

int NDK_recv | ( | SOCKET | s,
|  | void * | pbuf,
|  | int | size,
|  | int | flags
| ) |  |

## § NDK_recvfrom()

int NDK_recvfrom | ( | SOCKET | s,
|  | void * | pbuf,
|  | int | size,
|  | int | flags,
|  | struct sockaddr * | pName,
|  | int * | plen
| ) |  |

## § NDK_recvnc()

int NDK_recvnc | ( | SOCKET | s,
|  | void ** | ppbuf,
|  | int | flags,
|  | void ** | pHandle
| ) |  |

## § NDK_recvncfrom()

int NDK_recvncfrom | ( | SOCKET | s,
|  | void ** | ppbuf,
|  | int | flags,
|  | struct sockaddr * | pName,
|  | int * | plen,
|  | void ** | pHandle
| ) |  |

## § NDK_recvncfree()

void NDK_recvncfree | ( | SOCKET | Handle | ) |

## § NDK_send()

int NDK_send | ( | SOCKET | s,
|  | void * | pbuf,
|  | int | size,
|  | int | flags
| ) |  |

## § NDK_sendto()

int NDK_sendto | ( | SOCKET | s,
|  | void * | pbuf,
|  | int | size,
|  | int | flags,
|  | struct sockaddr * | pName,
|  | int | len
| ) |  |

## § NDK_setsockopt()

int NDK_setsockopt | ( | SOCKET | s,
|  | int | level,
|  | int | op,
|  | void * | pbuf,
|  | int | bufsize
| ) |  |

## § NDK_shutdown()

int NDK_shutdown | ( | SOCKET | s,
|  | int | how
| ) |  |

## § NDK_socket()

SOCKET NDK_socket | ( | int | domain,
|  | int | type,
|  | int | protocol
| ) |  |

## § NDK_getsendncbuff()

int NDK_getsendncbuff | ( | SOCKET | s,
|  | uint32_t | bufSize,
|  | void ** | phBuf,
|  | void ** | phPkt
| ) |  |

## § NDK_sendnc()

int NDK_sendnc | ( | SOCKET | s,
|  | void * | pbuf,
|  | int | size,
|  | void * | hPkt,
|  | int | flags
| ) |  |

## § NDK_sendncfree()

void NDK_sendncfree | ( | SOCKET | Handle | ) |

## § NDK_getSockCtx()

int NDK_getSockCtx | ( | SOCKET | s | ) |

## § NDK_pipe()

int NDK_pipe | ( | void ** | pfd1,
|  | void ** | pfd2
| ) |  |

## § NDK_registerHook()

void NDK_registerHook | ( | int | type,
|  | NDK_HookFxn | fxn
| ) |  |

© Copyright 1995-2019, Texas Instruments Incorporated. All rights reserved.
Trademarks | Privacy policy | Terms of use | Terms of sale